<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$usu_id=$_GET['empleadoo'];

$registros=mysqli_query($con,"SELECT * FROM usuario WHERE usu_id='$usu_id' and empresa_emp_id='$empresa'") or die(mysqli_error($con));
$dato=mysqli_fetch_array($registros);
$usu_nombre=$dato['usu_nombre'];
 
$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'GANACIA EMPLEADO ' .$usu_nombre.' DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',7);
$pdf->Cell(15,4,'REF',1,0,'C',1);
$pdf->Cell(15,4,'CANTIDAD',1,0,'C',1);
$pdf->Cell(15,4,'UM',1,0,'C',1);
$pdf->Cell(85,4,'NOMBRE',1,0,'C',1);
$pdf->Cell(20,4,'COSTO T',1,0,'C',1);
$pdf->Cell(20,4,'COMISION %',1,0,'C',1);
$pdf->Cell(25,4,'GANACIA T',1,0,'C',1);
$pdf->Ln(); 

$sumador_articulos=0;
$desc=0;
$suma_comision=0;
$sql=mysqli_query($con, "SELECT *,sum(vend_cantidad_dev) as vend_cantidad_dev,  AVG(vend_precio_real) as pv from venta_detalle d,ventas v,articulos a 
where d.ventas_ven_id=v.ven_id and v.ven_estado<>'anulada' and  v.ven_fecha BETWEEN '$desde' AND '$hasta' 
and v.sucursal='$sucursal' and v.empresa='$empresa' and a.art_id=d.vend_art_id and v.vendedor ='$usu_id' group by d.vend_art_id, d.vend_unidad  
order by d.vend_nombre asc "); 

while ($row=mysqli_fetch_array($sql))
{
    $vend_art_id=$row['vend_art_id'];
    $art=mysqli_query($con,"SELECT * FROM articulos where art_id ='$vend_art_id' and empresa='$empresa'") ;
    $comi=mysqli_fetch_array( $art );
    $art_comision=$comi['art_comision'];
    $comision=$art_comision/100;

    $vend_referencia=$row['vend_referencia'];
    $vend_nombre=$row['vend_nombre'];
    $vend_unidad=$row['vend_unidad'];
    $vend_cantidad=$row['vend_cantidad_dev'];
    $vend_precio=$row['vend_precio'];
    $vend_iva=$row['vend_iva'];
    $vend_descuento=$row['vend_desc'];
    $ivaf=$vend_iva/100;
    $precio_total=$vend_precio*$vend_cantidad;

    $comis_emple=$comision*$precio_total;
    $suma_comision+=$comis_emple;

    $descuento=($vend_descuento/100)*$precio_total;
    $iva=$vend_precio*$ivaf;
    $sin_iva=$vend_precio-$iva;
    $sumador_articulos+=$precio_total-$descuento;//Sumador
    $desc+=$descuento;

    $pdf->SetWidths(array(15,15,15,85,20,20,25));
    srand(time()*1000000);
    $pdf->Row(array($vend_referencia,number_format($vend_cantidad,2),$vend_unidad,utf8_decode($vend_nombre),number_format($precio_total,0),$art_comision,number_format($comis_emple,0)));
}


$sumador_combos=0;
$total_comision_combo=0;
$sqlc=mysqli_query($con, "SELECT *,sum(d.combo_cantidad) as sum_combo_cantidad from venta_detalle_combo d, ventas v, combos c 
where d.ven_id=v.ven_id and v.ven_estado<>'anulada' and  v.ven_fecha BETWEEN '$desde' AND '$hasta' 
and v.sucursal='$sucursal' and v.empresa='$empresa' and d.combo_id=c.com_id and vendedor ='$usu_id' group by d.combo_id  
order by d.combo_nombre asc "); 
while ($rowc=mysqli_fetch_array($sqlc))
{
    $combo_id=$rowc["combo_id"];
    $combo_referencia=$rowc["combo_referencia"];
    $combo_cantidad=$rowc["sum_combo_cantidad"];
    $combo_precio=$rowc['combo_precio'];
    $combo_nombre=$rowc['combo_nombre'];       
    $precio_total_c=$combo_cantidad*$combo_precio;
    $sumador_combos+=$precio_total_c;

    $comis_comb_total=0;
    $com=mysqli_query($con, "SELECT * from combos_articulos where combos_com_id='$combo_id'");
    while ($com1=mysqli_fetch_array($com))
    {
        $coma_art_id=$com1['coma_art_id'];
        $coma_art_cantidad=$com1['coma_art_cantidad'];
        $coma_art_precio=$com1['coma_art_precio'];
        $precio_art_combo=$coma_art_cantidad*$coma_art_precio;
        $artc=mysqli_query($con, "SELECT * from articulos where art_id='$coma_art_id'");
        $row1=mysqli_fetch_array($artc);
        $art_comisionc=$row1['art_comision'];
        $comision_com=$art_comisionc/100;

        $comis_combo=$comision_com*$precio_art_combo;
        $comis_comb_total+=$comis_combo*$combo_cantidad;
    }  
    $pdf->SetWidths(array(15,15,15,85,20,20,25));
    srand(time()*1000000);
    $pdf->Row(array($combo_referencia,number_format($combo_cantidad,2),'COMB',$combo_nombre,number_format($precio_total_c,0),$art_comisionc,number_format($comis_comb_total,0)));

    $total_comision_combo+=$comis_comb_total;
}

         
if($sumador_articulos<>0)
{
    $pdf->SetFillColor(135,245,115);
    $pdf->SetFont('Arial','B',7);
    $pdf->Cell(130,4,'TOTAL',1,0,'R',1);
    $pdf->Cell(20,4,number_format($sumador_articulos+$sumador_combos,0),1,0,'C',1);
    $pdf->Cell(20,4,'',1,0,'C',1);
    $pdf->Cell(25,4,number_format($suma_comision+$total_comision_combo),1,0,'C',1);
    $pdf->Ln();
    } 
$pdf->Output();
?>